PORTLINT(1)

NAME
portlint - a verifier for port directory

SYNOPSIS
portlint [-abchvN] [-B n] [dir]

DESCRIPTION
portlint tries to verify the content of a port directory. The purpose of portlint can be separated into two parts: (1) to let the submitters easily polish her/his own port directory, and (2) to decrease the labor of the committers.

portlint uses very simple regular-expression matching for verifying files that make up a port directory. Note that it does NOT implement complete parser for those files. Because of this the user may see some extra warnings, especially when checking complex Makefiles.

Options

-a  Perform additional checks for extra files, such as scripts/* and pkg/*.

-b  Warn the use of $(VARIABLE). Some of the committers prefer ${VARIABLE} instead of $(VARIABLE), even though they are semantically same.

-c  Committer flag. It will add several checks useful only for committers. If you are a committer and performing check just before commiting a port, use this option.

-h  Show the summary of command line options, then exit.

-v  Be verbose. Show the progress report for items that are being checked.

-N  New port flag. Adds several checks specific to newly submitted port. If you are willing to submit the directory to be checked as a new port, use this option.

-B n
    Set the number of contiguous blank lines allowed in Makefile to n. (by default, n is 1)

dir The port directory to be checked. If omitted, check will be performed over the current directory.

DIAGNOSTICS
Messages will be sent to standard output, not standard error output.

FATAL: ...
    This type of error messages suggest that there is some fatal error in the port directory. For example, if some files need a rewrite, or if some inevitable files are missing, this message will show up. This kind of errors should be avoided BEFORE submitting a port via send-pr to the comitters.

WARN: ...
    This type of error messages suggest that some files may (or may not) need some fix. Basically, warnings are produced when portlint is not completely sure about the result. For example, complex Makefiles may need some statements that can match the regular expression portlint uses for sanity checks. In those cases, the user should evaluate the result manually, and obey/ignore the result.

OK: ...
    This type of messages are used in verbose mode (-v).

FILES
/usr/share/mk/bsd.port.mk
    master Makefile for ports
/usr/ports/*
    port collection

AUTHORS
Jun-ichiro Itoh <itojun@itojun.org> and Yoshishige Arai <ryo2@on.rim.or.jp>. Many people has contributed patches and comments/suggestions.

BUGS
portlint is not a magic wand, as described above.